Package be.ehealth.technicalconnector.service.etee.impl

# Class CryptoImpl

java.lang.Object
be.ehealth.technicalconnector.service.etee.impl.AbstractEndToEndCrypto
be.ehealth.technicalconnector.service.etee.impl.CryptoImpl

All Implemented Interfaces:
  `Crypto`, `ConfigurableImplementation`

public class CryptoImpl extends AbstractEndToEndCrypto
Implementation for `Crypto`. Extends :
invalid reference

    AbstractCrypto

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.etee.Crypto

  `Crypto.SigningPolicySelector`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_LIST_IGNORED_NOTIFICATION_ERRORS_ROOTKEY`
  Property of the notification error that can be ignored.

  ### Fields inherited from class be.ehealth.technicalconnector.service.etee.impl.AbstractEndToEndCrypto

  `PROP_DUMP_FIRST_CHARS, PROP_DUMP_MESSAGES`

  ### Fields inherited from interface be.ehealth.technicalconnector.service.etee.Crypto

  `DATASEALER_CREDENTIAL, DATAUNSEALER_PKMAP, OCSP_OPTIONMAP, OCSP_POLICY, SIGNING_OPTIONMAP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CryptoImpl()`
  needed for ConfigurableFactoryHelper to instantiate this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Map<String,Object> parameterMap)`
  initializes the implementation with additional parameters.
  `static UnsealedData`
  `map(be.fgov.ehealth.etee.crypto.decrypt.UnsealedData data)`
  `byte[]`
  `seal(Crypto.SigningPolicySelector type, Set<EncryptionToken> paramEncryptionTokenSet, KeyResult symmKey, byte[] content)`
  `UnsealedData`
  `unseal(Crypto.SigningPolicySelector type, byte[] protectedMessage)`
  `UnsealedData`
  `unseal(Crypto.SigningPolicySelector type, KeyResult symmKey, byte[] protectedMessage)`

  ### Methods inherited from class be.ehealth.technicalconnector.service.etee.impl.AbstractEndToEndCrypto

  `seal, seal, seal`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_LIST_IGNORED_NOTIFICATION_ERRORS_ROOTKEY

    public static final String PROP_LIST_IGNORED_NOTIFICATION_ERRORS_ROOTKEY
    Property of the notification error that can be ignored. If the list is empty every warning will be ignored.

  - SIGNING_TIME_MISSING: No Signing Time. Message treated as new.
  - SIGNING_TIME_EXPIRED: Expired Signing Time could not be verified. If you have doubts about the reliability of this message, request for an Audit Trail.
  - OCSP_NOT_EMBEDDED: An embedded OCSP was expected in the message but not found. An online OCSP verification should have been executed.
  - CRL_TRUST_NOT_VERIFIED: A local CRL was used for revocationcheck but it could not be verified on reliability. If you have doubts about the reliability of this CRL, you should not trust it.

See Also:
  - Constant Field Values

- ## Constructor Details

  - ### CryptoImpl

    public CryptoImpl()
    needed for ConfigurableFactoryHelper to instantiate this class.

- ## Method Details

  - ### seal

    public byte[] seal(Crypto.SigningPolicySelector type, Set<EncryptionToken> paramEncryptionTokenSet, KeyResult symmKey, byte[] content) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### unseal

    public UnsealedData unseal(Crypto.SigningPolicySelector type, byte[] protectedMessage) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### unseal

    public UnsealedData unseal(Crypto.SigningPolicySelector type, KeyResult symmKey, byte[] protectedMessage) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### map

    public static UnsealedData map(be.fgov.ehealth.etee.crypto.decrypt.UnsealedData data)

  - ### initialize

    public void initialize(Map<String,Object> parameterMap) throws TechnicalConnectorException
    Description copied from interface: `ConfigurableImplementation`
    initializes the implementation with additional parameters.
    Parameters:
      `parameterMap` - Map with for each propertyString ,the input parameter as Object.
    Throws:
      `TechnicalConnectorException` - if the parameterMap is not correct.
    See Also:
      - `ConfigurableImplementation.initialize(java.util.Map)`